Package org.eclipse.birt.chart.script.api.data

# Interface INumberDataElement

All Superinterfaces:
  `IDataElement`

public interface INumberDataElement extends IDataElement
A representation of the model object 'Number Data Element'. This type defines a single element of numerical data.

## Method Summary

Modifier and Type
Method
Description
`double`
`getValue()`
Returns the value of the 'Value' attribute.
`void`
`setValue(double value)`
Sets the value of the '`Value`' attribute.

## Method Details

### getValue

double getValue()
Returns the value of the 'Value' attribute. Holds a single numeric value as a double.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(double)`

### setValue

void setValue(double value)
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`